#mnsnBrdTest Default Setup Mode File - NCB
# Modified to provide clock board initialization PCM 20060617
# Attribute Name  =	Value   #Comments

#COUNTER INITIALIZATION		
#seqRowCntr=512			# Load Row Loop Counter register
#seqColCntr=16			# Load Column Loop Counter register

MCB_SEQLOOPREG[5]=5		# Digital averages to 1
MCB_SEQLOOPREG[15]=1		# Debug Counter
MCBSEQCMDREG=1			# Enable reset during Idle
MCB_SEQITR=0.25			# Load Integration Time register (250 ms)

# these determine the maximum array size must be smaller than the values in the .arr file
mosaicRows=1			# number of arrays in the col direction
mosaicCols=1			# number of arrays in the row direction
pxlRows=32768  			# number of rows in one array
pxlCols=36		            # number of cols in one array
numOutputs=36
refCols=0
#
# These are the current size of the array
imageRows=32768   		# number of rows in focal plane
imageCols=36	   		# number of cols in focal plane
rawPxlSize=2			# number of Bytes in a raw pixel value
finPxlSize=4			# number of Bytes in a finished pixel value
finDataType=4			# DHS_UINT four bytes 32 bits
mcbDblPxlXfer=1

frmsPerRdOut=1  		      # number of times the arry is read out for one simple exposure
captureMode=1   		      # capture mode 0=NORMAL, 1=SEP, 2=BLOCKREAD
expMode=2			      # mode of the exposure
processMode=0   		      # Processing mode 0=SEP 1=Add_F1toF2
labsystem=1

# Default file name prefix
imageFile=testAA

mcbseqPreScaler=0

# load a 2 here for the test image in the sequencer
expVector=1			      # vector to load into seq control register
numTstRows=32768		      # number of test rows of N columns to produce
ctcPeriod=70			# number of 50ns ticks between each CTC
mcbSeqRstIdleEn=1

rdOutTime[0]=0.615
rdOutTime[1]=0.915
rdOutTime[2]=1.210
rdOutTime[3]=1.805
rdOutTime[4]=2.995
rdOutTime[5]=5.371
rdOutTime[6]=10.130

# Clock board initialization
mcbSysClkEn6=1
cnb_ClkPort=0

#mcbseqEnable=1       		# start sequencer	
