# CCD Board Testing Station Setup Mode File
#
# TEST SEQUENCE
# _7v_
#
# HISTORY
# Version 1 - Peter Moore    - 22 AUG 2005 - Adapted from _ccdlabSTIS system    
# Version 2 - Peter Moore    - 28 SEP 2005 - Made to work with 8 outputs on fast machine
# Version 3 - Peter Moore    - 14 MAY 2008 - changed AVP names to use with mnsnBrdTest system config
#
# DESCRIPTION
# This test runs the front end electronics in high gain mode to show what the noise
# distribution is. Noise from the preamp and gain stage will be amplified by 2. Phase
# inverter, integrator and diff buffer noise gain will stay the same. Result should 
# show less than xx ADU rms for each channel.
#  
# Attribute Name  = Value   #Comments
panExpVector=4        # 4 = DO MORMAL READOUT        
#
## Video channels setup (High Gain + WARP)
CCD_ADCCFG[]=6

