# CCD Board Testing Station Setup Mode File
#
# TEST SEQUENCE
# _7vi_
#
# HISTORY
# Version 1 - Peter Moore    - 22 AUG 2005 - Adapted from _ccdlabSTIS system    
# Version 2 - Peter Moore    - 28 SEP 2005 - Made to work with 8 outputs on fast machine
# Version 3 - Peter Moore    - 14 MAY 2008 - changed AVP names to use with mnsnBrdTest system config
#
# DESCRIPTION
# Run the front end electronics at low gain and at fast to see if it can do it
# Results should show 
# 
# Attribute Name  = Value   #Comments
panExpVector=8        # 8 = DO FAST READOUT        
seqCdsDly=24          # Delay between CTC pulses (in sequencer clocks) value of 11 gives 793Kpix/chan/sec
#
## Video channels setup (Low Gain + WARP)
CCD_ADCCFG[]=2

